IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_QUERYSCHEME')
CREATE TABLE T_CAD_QUERYSCHEME (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER VARCHAR(30) NOT NULL DEFAULT ' ',
	FNAME VARCHAR(50) NOT NULL DEFAULT ' ',
	FSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE VARCHAR(50) NOT NULL DEFAULT ' ',
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FFORMID VARCHAR(255) NOT NULL DEFAULT ' ',
	FSCHEMESTR VARCHAR(255) NOT NULL DEFAULT ' ',
	FSCHEMESTR_TAG  NCLOB DEFAULT ' ',
	FPRESET CHAR(1) DEFAULT '0' NOT NULL,
	FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
	FAPPNUM VARCHAR(10) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_QUERYSCHEME_L')
CREATE TABLE T_CAD_QUERYSCHEME_L (
	FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL DEFAULT '',
	FNAME VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_SETTLEITEM')
CREATE TABLE T_CAD_SETTLEITEM (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER VARCHAR(30) NOT NULL DEFAULT ' ',
	FNAME VARCHAR(50) NOT NULL DEFAULT ' ',
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE VARCHAR(50) NOT NULL DEFAULT ' ',
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FDESCRIPTION VARCHAR(50) NOT NULL DEFAULT ' ',
	FAPPNUM VARCHAR(10) NOT NULL DEFAULT ' ',
	FFUNCTYPE VARCHAR(10) NOT NULL DEFAULT ' ',
	FMANNULCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
	FMETHOD VARCHAR(50) NOT NULL DEFAULT ' ',
	FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
	FDEFAULTPARAM VARCHAR(255) NOT NULL DEFAULT ' ',
	FDEFAULTPARAM_TAG  NCLOB DEFAULT ' ',
	FPLUGIN VARCHAR(255) NOT NULL DEFAULT ' ',
	FPARAMPAGE VARCHAR(255) NOT NULL DEFAULT ' ',
	FPARAMISMUST CHAR(1) DEFAULT '0' NOT NULL,
	FPARALLEL CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_SETTLEITEM_L')
CREATE TABLE T_CAD_SETTLEITEM_L (
	FPKID VARCHAR(36) NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL DEFAULT '',
	FNAME VARCHAR(50) NOT NULL DEFAULT ' ',
	FDESCRIPTION VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_SETTLEREPORT')
CREATE TABLE T_CAD_SETTLEREPORT (
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) NOT NULL DEFAULT ' ',
	FBILLSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME,
	FMODIFYTIME DATETIME,
	FCREATETIME DATETIME,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
	FPERIODID BIGINT DEFAULT 0 NOT NULL,
	FSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
	FSTARTTIME DATETIME,
	FENDTIME DATETIME,
	FCURRSTEP VARCHAR(50) NOT NULL DEFAULT ' ',
	FEXECUTORID BIGINT DEFAULT 0 NOT NULL,
	FTASKID BIGINT DEFAULT 0 NOT NULL,
	FPROGRESS INT DEFAULT 0 NOT NULL,
	FAPPNUM VARCHAR(10) NOT NULL DEFAULT ' ',
	FSCHEMEID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_SETTLEREPORTENTRY')
CREATE TABLE T_CAD_SETTLEREPORTENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FFUNCTYPE VARCHAR(10) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAD_SETTLEREPORTSUB')
CREATE TABLE T_CAD_SETTLEREPORTSUB (
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FDETAILID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FSETTLEITEMID BIGINT DEFAULT 0 NOT NULL,
	FJUMPPARAM VARCHAR(255) NOT NULL DEFAULT ' ',
	FJUMPPARAM_TAG NCLOB DEFAULT ' ',
	FSUBSTATUS VARCHAR(10) NOT NULL DEFAULT ' ',
	FMANNULCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
	FSUBSTARTTIME DATETIME,
	FSUBENDTIME DATETIME,
	FTRYCOUNT INT DEFAULT 0 NOT NULL,
	FSUBPROGRESS INT DEFAULT 0 NOT NULL,
	FPARALLEL CHAR(1) DEFAULT '0' NOT NULL,
	FEXEMETHOD VARCHAR(10) NOT NULL DEFAULT ' ',
	FCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
	FREMARK VARCHAR(255) NOT NULL DEFAULT ' ',
	FREMARK_TAG NCLOB DEFAULT ' ',
	FSUBFUNCTYPE VARCHAR(10) NOT NULL DEFAULT ' ',
	FINSTANCEID VARCHAR(255) NOT NULL DEFAULT ' ',
	FDEFAULTPARAM VARCHAR(255) NOT NULL DEFAULT ' ',
	FDEFAULTPARAM_TAG NCLOB DEFAULT ' ',
	FEXECUTIONLOG VARCHAR(2000) NOT NULL DEFAULT ' '
);